#!/usr/bin/perl

use strict;
use warnings;

use Test::More;

BEGIN {
    eval 'use Test::BDD::Cucumber::Loader';
    plan skip_all => 'Test::BDD::Cucumber::Loader required' if $@;
}

use FindBin::libs;
use Path::Class;
use Test::BDD::Cucumber::Loader;
use Test::BDD::Cucumber::Harness::TestBuilder;

for my $feature_dir (dir('features')->children) {
    my ($executor, @features) = Test::BDD::Cucumber::Loader->load("$feature_dir");
    my $harness = Test::BDD::Cucumber::Harness::TestBuilder->new({});
    $executor->execute( $_, $harness ) for @features;
}
done_testing;
